#       Makefile for $(DENNOUDIR)/util/gt3-dcl5/src/gttool
#

include ../../Mkinclude

FFLAGS 	      = $(STDFFLAGS) -I$(INCDIR)

CFLAGS        = $(STDCFLAGS) -I$(INCDIR)

CPPFLAGS      = $(STDCPPFLAGS) -I$(INCDIR) \
		-DGTAXLOC=$(GTAXLOC) -DGTAXWGT=$(GTAXWGT)

EXTHDRS	      = $(INCDIR)/gzsize.F

HDRS	      =

MAKEFILE      = Makefile

OBJS	      = gtpget.o \
		gtsign.o \
		gtopen.o \
		gtsize.o

SRCS	      = gtpget.F \
		gtsign.F \
		gtopen.F \
		gtsize.F

all: 		$(LIBRARY)

$(LIBRARY):	$(OBJS)
		$(AR) $(LIBRARY) $(OBJS)
		$(RANLIB) $(LIBRARY)

clean:
		rm -f *.o *~ core *.trace *.f

index:
		@$(INDEX) $(HDRS) $(SRCS)

print:		$(PRINTSTAMP)

$(PRINTSTAMP): $(HDRS) $(SRCS)
		$(PRINT) $?
		$(TOUCH) $(PRINTSTAMP)

tags:
		@$(TAGS) $(HDRS) $(SRCS)

pack:	$(PACKFILE) packs

packs: $(SRCS:.F=.pac)
	$(MD) $(PACKDIR)
	$(MV) $(PACKFILE) $(PACKDIR)/gttool

$(PACKFILE):
	$(RM) $(PACKFILE)
	$(TOUCH) $(PACKFILE)

###
gtpget.o: $(INCDIR)/gzsize.F
